diff --git a/framework/source/services/frame.cxx b/framework/source/services/frame.cxx
index 29aefb6..d1c70dd 100644
--- a/framework/source/services/frame.cxx
+++ b/framework/source/services/frame.cxx
@@ -1030,7 +1022,7 @@ css::uno::Reference< css::frame::XFrame > SAL_CALL Frame::findFrame( const OUStr
         }
         // We arent a task => forward request to our parent or ignore it.
         else if (xParent.is())
-            xTarget = xParent->findFrame(SPECIALTARGET_BEAMER,0);
+            xFrame = xParent->findFrame( SPECIAL_BEAMER, 0 );
     }
 
     else
@@ -1038,7 +1030,7 @@ css::uno::Reference< css::frame::XFrame > SAL_CALL Frame::findFrame( const OUStr
 
         // II) otherwise use optional given search flags
         //  force using of combinations of such flags. means no "else" part of use if() statements.
-        //  But we ust break further searches if target was already found.
+        //  But we ust break further searches if a recipient was already found.
         //  Order of using flags is fix: SELF - CHILDREN - SIBLINGS - PARENT
         //  TASK and CREATE are handled special.
 
@@ -1054,25 +1046,25 @@ css::uno::Reference< css::frame::XFrame > SAL_CALL Frame::findFrame( const OUStr
         //  ignore this flag.
 
         if (
-            (nSearchFlags &  css::frame::FrameSearchFlag::SELF)  &&
-            (sOwnName     == sTargetFrameName                 )
+             (  nSearchOptions &  css::frame::FrameSearchOption::Self  )  &&
+             (  sOwnName  ==  sFrameName  )
            )
         {
-            xTarget = this;
+            xFrame = this;
         }
 
         // II.II) CHILDREN
-        //  Search on all children for the given target name.
+        //  Search on all children for the given recipient.
         //  An empty name value can't occur here - because it must be already handled as "_self"
         //  before. Used helper function of container doesn't create any frame.
         //  It makes a deep search only.
 
         if (
-            ( ! xTarget.is()                                     ) &&
-            (nSearchFlags & css::frame::FrameSearchFlag::CHILDREN)
+            ( ! xFrame.is()                                     ) &&
+            (nSearchOptions & css::frame::FrameSearchOption::Children)
            )
         {
-            xTarget = m_aChildFrameContainer.searchOnAllChildrens(sTargetFrameName);
+            xFrame = m_aChildFrameContainer.searchOnAllChildrens( sFrameName );
         }
 
         // II.III) TASKS
@@ -1082,7 +1074,7 @@ css::uno::Reference< css::frame::XFrame > SAL_CALL Frame::findFrame( const OUStr
         //  or we can ignore it if we have no valid parent.
 
         if (
-            (   bIsTopFrame && (nSearchFlags & css::frame::FrameSearchFlag::TASKS) )   ||
+            (   bIsTopFrame && (nSearchOptions & css::frame::FrameSearchOption::Tasks) )   ||
             ( ! bIsTopFrame                                                        )
            )
         {
@@ -1100,8 +1092,8 @@ css::uno::Reference< css::frame::XFrame > SAL_CALL Frame::findFrame( const OUStr
             //  XIndexAccess instead of XFrames.
 
             if (
-                ( ! xTarget.is()                                      ) &&
-                (nSearchFlags &  css::frame::FrameSearchFlag::SIBLINGS) &&
+                ( ! xFrame.is()                                      ) &&
+                (nSearchOptions &  css::frame::FrameSearchOption::Siblings) &&
                 (   xParent.is()                                      ) // search on siblings is impossible without a parent
                )
             {
@@ -1126,12 +1118,12 @@ css::uno::Reference< css::frame::XFrame > SAL_CALL Frame::findFrame( const OUStr
 
                             // Don't allow upper search here! Use right flags to regulate it.
                             // And allow deep search on children only - if it was allowed for us too.
-                            sal_Int32 nRightFlags = css::frame::FrameSearchFlag::SELF;
-                            if (nSearchFlags & css::frame::FrameSearchFlag::CHILDREN)
-                                nRightFlags |= css::frame::FrameSearchFlag::CHILDREN;
-                            xTarget = xSibling->findFrame(sTargetFrameName, nRightFlags );
+                            sal_Int32 nRightFlags = css::frame::FrameSearchOption::Self;
+                            if (nSearchOptions & css::frame::FrameSearchOption::Children)
+                                nRightFlags |= css::frame::FrameSearchOption::Children;
+                            xFrame = xSibling->findFrame( sFrameName, nRightFlags );
                             // perform search be breaking further search if a result exist.
-                            if (xTarget.is())
+                            if ( xFrame.is() )
                                 break;
                         }
                     }
@@ -1144,40 +1136,40 @@ css::uno::Reference< css::frame::XFrame > SAL_CALL Frame::findFrame( const OUStr
             //  to search on his children too) we must change used search flags.
 
             if (
-                ( ! xTarget.is()                                    ) &&
-                (nSearchFlags &  css::frame::FrameSearchFlag::PARENT) &&
+                ( ! xFrame.is()                                    ) &&
+                (nSearchOptions &  css::frame::FrameSearchOption::Parent) &&
                 (   xParent.is()                                    )
                )
             {
-                if (xParent->getName() == sTargetFrameName)
-                    xTarget = xParent;
+                if ( xParent->getName() == sFrameName )
+                    xFrame = xParent;
                 else
                 {
-                    sal_Int32 nRightFlags  = nSearchFlags;
-                              nRightFlags &= ~css::frame::FrameSearchFlag::CHILDREN;
-                    xTarget = xParent->findFrame(sTargetFrameName, nRightFlags);
+                    sal_Int32 nOptions  = nSearchOptions;
+                              nOptions &= ~css::frame::FrameSearchOption::Children;
+                    xFrame = xParent->findFrame( sFrameName, nOptions );
                 }
             }
         }
 
         // II.IV) CREATE
-        //  If we haven't found any valid target frame by using normal flags - but user allowed us to create
-        //  a new one ... we should do that. Used TaskCreator use Desktop instance automatically as parent!
+        //  If we haven't found any frame by using normal flags - but user allowed us to create
+        //  a new one ... we should do that. Used TaskCreator use Desktop instance automatically as parent
 
         if (
-            ( ! xTarget.is()                                   )    &&
-            (nSearchFlags & css::frame::FrameSearchFlag::CREATE)
+            ( ! xFrame.is()                                   )    &&
+            (nSearchOptions & css::frame::FrameSearchOption::Create)
            )
         {
             TaskCreator aCreator(m_xContext);
-            xTarget = aCreator.createTask(sTargetFrameName);
+            xFrame = aCreator.createTask( sFrameName );
         }
     }
 
-    return xTarget;
+    return xFrame;
 }
 
-/*-****************************************************************************************************
+/*
     @descr      Returns sal_True, if this frame is a "top frame", otherwise sal_False.
                 The "m_bIsFrameTop" member must be set in the ctor or setCreator() method.
                 A top frame is a member of the top frame container or a member of the
@@ -1188,9 +1180,7 @@ css::uno::Reference< css::frame::XFrame > SAL_CALL Frame::findFrame( const OUStr
     @seealso    method setCreator()
     @seealso    method findFrame()
     @return     true, if is it a top frame ... false otherwise.
-
-    @onerror    No error should occur!
-*//*-*****************************************************************************************************/
+*/
 sal_Bool SAL_CALL Frame::isTop() throw( css::uno::RuntimeException, std::exception )
 {
     checkDisposed();
@@ -1200,7 +1190,7 @@ sal_Bool SAL_CALL Frame::isTop() throw( css::uno::RuntimeException, std::excepti
     return m_bIsFrameTop;
 }
 
-/*-****************************************************************************************************
+/*
     @short      activate frame in hierarchy
     @descr      This feature is used to mark active paths in our frame hierarchy.
                 You can be a listener for this event to react for it ... change some internal states or something else.
@@ -1209,7 +1199,7 @@ sal_Bool SAL_CALL Frame::isTop() throw( css::uno::RuntimeException, std::excepti
     @seealso    method isActivate()
     @seealso    enum EActiveState
     @seealso    listener mechanism
-*//*-*****************************************************************************************************/
+*/
 void SAL_CALL Frame::activate() throw( css::uno::RuntimeException, std::exception )
 {
     checkDisposed();
@@ -1241,18 +1231,18 @@ void SAL_CALL Frame::activate() throw( css::uno::RuntimeException, std::exceptio
         if( xParent.is() )
         {
             // Every time set THIS frame as active child of parent and activate it.
-            // We MUST have a valid path from bottom to top as active path!
+            // We NEED a valid path from bottom to top as active path
             // But we must deactivate the old active sibling path first.
 
-            // Attention: Deactivation of an active path, deactivate the whole path ... from bottom to top!
+            // Attention: Deactivation of an active path, deactivate the whole path ... from bottom to top
             // But we wish to deactivate founded sibling-tree only.
             // [ see deactivate() / step 4) for further information! ]
 
             xParent->setActiveFrame( xThis );
 
             // Then we can activate from here to top.
-            // Attention: We are ACTIVE now. And the parent will call activate() at us!
-            // But we do nothing then! We are already activated.
+            // Attention: We are ACTIVE now. And the parent will call activate() at us
+            // But we do nothing then. We are already activated.
             xParent->activate();
         }
         // Its necessary to send event NOW - not before.
@@ -1263,14 +1253,14 @@ void SAL_CALL Frame::activate() throw( css::uno::RuntimeException, std::exceptio
 
     //  2)  I was active before or current activated and there is a path from here to bottom, who CAN be active.
     //      But our direct child of path is not active yet.
-    //      (It can be, if activation occur in the middle of a current path!)
-    //      In these case we activate path to bottom to set focus on right frame!
+    //      (It can be, if activation occurs in the middle of a current path)
+    //      In this case activate path to bottom to set focus on right frame
     if ( eState == E_ACTIVE && xActiveChild.is() && !xActiveChild->isActive() )
     {
         xActiveChild->activate();
     }
 
-    //  3)  I was active before or current activated. But if I have no active child => I will get the focus!
+    //  3)  I was active before or current activated. But if I have no active child => I will get the focus
     if ( eState == E_ACTIVE && !xActiveChild.is() )
     {
         aWriteLock.reset();
@@ -1281,7 +1271,7 @@ void SAL_CALL Frame::activate() throw( css::uno::RuntimeException, std::exceptio
     }
 }
 
-/*-****************************************************************************************************
+/*
     @short      deactivate frame in hierarchy
     @descr      This feature is used to deactive paths in our frame hierarchy.
                 You can be a listener for this event to react for it ... change some internal states or something else.
@@ -1290,7 +1280,7 @@ void SAL_CALL Frame::activate() throw( css::uno::RuntimeException, std::exceptio
     @seealso    method isActivate()
     @seealso    enum EActiveState
     @seealso    listener mechanism
-*//*-*****************************************************************************************************/
+*/
 void SAL_CALL Frame::deactivate() throw( css::uno::RuntimeException, std::exception )
 {
     checkDisposed();
@@ -1354,7 +1344,7 @@ void SAL_CALL Frame::deactivate() throw( css::uno::RuntimeException, std::except
     }
 }
 
-/*-****************************************************************************************************
+/*
     @short      returns active state
     @descr      Call it to get information about current active state of this frame.
 
@@ -1364,7 +1354,7 @@ void SAL_CALL Frame::deactivate() throw( css::uno::RuntimeException, std::except
     @return     true if active, false otherwise.
 
     @onerror    No error should occur.
-*//*-*****************************************************************************************************/
+*/
 sal_Bool SAL_CALL Frame::isActive() throw( css::uno::RuntimeException, std::exception )
 {
     checkDisposed();
@@ -1375,9 +1365,9 @@ sal_Bool SAL_CALL Frame::isActive() throw( css::uno::RuntimeException, std::exce
             );
 }
 
-/*-****************************************************************************************************
+/*
     @short      ???
-*//*-*****************************************************************************************************/
+*/
 void SAL_CALL Frame::contextChanged() throw( css::uno::RuntimeException, std::exception )
 {
     // Sometimes called during closing object...
@@ -1386,7 +1376,7 @@ void SAL_CALL Frame::contextChanged() throw( css::uno::RuntimeException, std::ex
     implts_sendFrameActionEvent( css::frame::FrameAction_CONTEXT_CHANGED );
 }
 
-/*-****************************************************************************************************
+/*
     @short      set new component inside the frame
     @descr      A frame is a container for a component. Use this method to set, change or release it!
                 We accept null references! The xComponentWindow will be a child of our container window
@@ -1413,7 +1403,7 @@ void SAL_CALL Frame::contextChanged() throw( css::uno::RuntimeException, std::ex
 
     @onerror    We return <FALSE/>.
     @threadsafe yes
-*//*-*****************************************************************************************************/
+*/
 sal_Bool SAL_CALL Frame::setComponent(  const   css::uno::Reference< css::awt::XWindow >&       xComponentWindow ,
                                         const   css::uno::Reference< css::frame::XController >& xController      ) throw( css::uno::RuntimeException, std::exception )
 {
@@ -1556,7 +1546,7 @@ sal_Bool SAL_CALL Frame::setComponent(  const   css::uno::Reference< css::awt::X
     return true;
 }
 
-/*-****************************************************************************************************
+/*
     @short      returns current set component window
     @descr      Frames are used to display components. The actual displayed component is
                 held by the m_xComponentWindow property. If the component implements only a
@@ -1571,7 +1561,7 @@ sal_Bool SAL_CALL Frame::setComponent(  const   css::uno::Reference< css::awt::X
     @return     css::uno::Reference to current set component window.
 
     @onerror    A null reference is returned.
-*//*-*****************************************************************************************************/
+*/
 css::uno::Reference< css::awt::XWindow > SAL_CALL Frame::getComponentWindow() throw( css::uno::RuntimeException, std::exception )
 {
     checkDisposed();
@@ -1579,7 +1569,7 @@ css::uno::Reference< css::awt::XWindow > SAL_CALL Frame::getComponentWindow() th
     return m_xComponentWindow;
 }
 
-/*-****************************************************************************************************
+/*
     @short      returns current set controller
     @descr      Frames are used to display components. The actual displayed component is
                 held by the m_xComponentWindow property. If the component implements only a
@@ -1594,14 +1584,14 @@ css::uno::Reference< css::awt::XWindow > SAL_CALL Frame::getComponentWindow() th
     @return     css::uno::Reference to current set controller.
 
     @onerror    A null reference is returned.
-*//*-*****************************************************************************************************/
+*/
 css::uno::Reference< css::frame::XController > SAL_CALL Frame::getController() throw( css::uno::RuntimeException, std::exception )
 {
     SolarMutexGuard g;
     return m_xController;
 }
 
-/*-****************************************************************************************************
+/*
     @short      add/remove listener for activate/deactivate/contextChanged events
     @seealso    method activate()
     @seealso    method deactivate()
@@ -1609,7 +1599,7 @@ css::uno::Reference< css::frame::XController > SAL_CALL Frame::getController() t
 
     @param      "xListener" reference to your listener object
     @onerror    Listener is ignored.
-*//*-*****************************************************************************************************/
+*/
 void SAL_CALL Frame::addFrameActionListener( const css::uno::Reference< css::frame::XFrameActionListener >& xListener ) throw( css::uno::RuntimeException, std::exception )
 {
     checkDisposed();
@@ -1621,7 +1611,7 @@ void SAL_CALL Frame::removeFrameActionListener( const css::uno::Reference< css::
     m_aListenerContainer.removeInterface( cppu::UnoType<css::frame::XFrameActionListener>::get(), xListener );
 }
 
-/*-****************************************************************************************************
+/*
     @short      support two way mechanism to release a frame
     @descr      This method ask internal component (controller) if he accept this close request.
                 In case of <TRUE/> nothing will be happen (from point of caller of this close method).
@@ -1639,7 +1629,7 @@ void SAL_CALL Frame::removeFrameActionListener( const css::uno::Reference< css::
                     if any internal things willn't be closed
 
     @threadsafe yes
-*//*-*****************************************************************************************************/
+*/
 void SAL_CALL Frame::close( sal_Bool bDeliverOwnership ) throw( css::util::CloseVetoException,
                                                                 css::uno::RuntimeException, std::exception   )
 {
@@ -1716,7 +1706,7 @@ void SAL_CALL Frame::close( sal_Bool bDeliverOwnership ) throw( css::util::Close
     dispose();
 }
 
-/*-****************************************************************************************************
+/*
     @short      be a listener for close events!
     @descr      Adds/remove a CloseListener at this frame instance. If the close() method is called on
                 this object, the such listener are informed and can disagree with that by throwing
@@ -1730,7 +1720,7 @@ void SAL_CALL Frame::close( sal_Bool bDeliverOwnership ) throw( css::util::Close
     @onerror    Listener is ignored.
 
     @threadsafe yes
-*//*-*****************************************************************************************************/
+*/
 void SAL_CALL Frame::addCloseListener( const css::uno::Reference< css::util::XCloseListener >& xListener ) throw (css::uno::RuntimeException, std::exception)
 {
     checkDisposed();
@@ -2029,7 +2019,6 @@ sal_Bool SAL_CALL Frame::hasPropertyByName(const OUString& sName)
     return bExist;
 }
 
-/*-****************************************************************************************************/
 void Frame::implts_forgetSubFrames()
 {
     // SAFE ->
@@ -2062,7 +2051,7 @@ void Frame::implts_forgetSubFrames()
     m_aChildFrameContainer.clear(); // clear container content
 }
 
-/*-****************************************************************************************************
+/*
     @short      destroy instance
     @descr      The owner of this object calles the dispose method if the object
                 should be destroyed. All other objects and components, that are registered
@@ -2075,7 +2064,7 @@ void Frame::implts_forgetSubFrames()
 
     @seealso    method initialize()
     @seealso    baseclass FairRWLockBase!
-*//*-*****************************************************************************************************/
+*/
 void SAL_CALL Frame::disposing()
 {
     // We should hold a reference to ourself ...
@@ -2227,13 +2216,13 @@ void SAL_CALL Frame::disposing()
     Application::SetDialogCancelMode( old );
 }
 
-/*-****************************************************************************************************
+/*
     @short      Be a listener for dispose events!
     @descr      Adds/remove an EventListener to this object. If the dispose method is called on
                 this object, the disposing method of the listener is called.
     @param      "xListener" reference to your listener object.
     @onerror    Listener is ignored.
-*//*-*****************************************************************************************************/
+*/
 void SAL_CALL Frame::addEventListener( const css::uno::Reference< css::lang::XEventListener >& xListener ) throw( css::uno::RuntimeException, std::exception )
 {
     checkDisposed();
@@ -2245,7 +2234,7 @@ void SAL_CALL Frame::removeEventListener( const css::uno::Reference< css::lang::
     m_aListenerContainer.removeInterface( cppu::UnoType<css::lang::XEventListener>::get(), xListener );
 }
 
-/*-****************************************************************************************************
+/*
     @short      create new status indicator
     @descr      Use returned status indicator to show progresses and some text information.
                 All created objects share the same dialog! Only the last one can show his information.
@@ -2255,7 +2244,7 @@ void SAL_CALL Frame::removeEventListener( const css::uno::Reference< css::lang::
     @return     A reference to created object.
 
     @onerror    We return a null reference.
-*//*-*****************************************************************************************************/
+*/
 css::uno::Reference< css::task::XStatusIndicator > SAL_CALL Frame::createStatusIndicator() throw( css::uno::RuntimeException, std::exception )
 {
     checkDisposed();
@@ -2281,30 +2270,23 @@ css::uno::Reference< css::task::XStatusIndicator > SAL_CALL Frame::createStatusI
     return css::uno::Reference< css::task::XStatusIndicator >();
 }
 
-/*-****************************************************************************************************
-    @short      search for target to load URL
+/*
+    @short      search for recipient to load URL
     @descr      This method searches for a dispatch for the specified DispatchDescriptor.
-                The FrameSearchFlags and the FrameName of the DispatchDescriptor are
+                The nSearchOptions and sFrameName of the DispatchDescriptor are
                 treated as described for findFrame.
 
-    @seealso    method findFrame()
-    @seealso    method queryDispatches()
-    @seealso    method set/getName()
-    @seealso    class TargetFinder
-
-    @param      "aURL"              , URL for loading
-    @param      "sTargetFrameName"  , name of target frame
-    @param      "nSearchFlags"      , additional flags to regulate search if sTargetFrameName is not clear
+    @param      "aURL", URL for loading
+    @param      "sFrameName", name of recipient frame
+    @param      "nSearchOptions", additional flags to regulate search if sFrameName is not clear
     @return     css::uno::Reference to dispatch handler.
 
     @onerror    A null reference is returned.
-*//*-*****************************************************************************************************/
+*/
 css::uno::Reference< css::frame::XDispatch > SAL_CALL Frame::queryDispatch( const css::util::URL&   aURL            ,
-                                                                            const OUString&  sTargetFrameName,
-                                                                                  sal_Int32         nSearchFlags    ) throw( css::uno::RuntimeException, std::exception )
+                                                                            const OUString&  sFrameName ,
+                                                                                  sal_Int32         nSearchOptions    ) throw( css::uno::RuntimeException, std::exception )
 {
-    // Don't check incoming parameter here! Our helper do it for us and it is not a good idea to do it more than ones!
-
     checkDisposed();
 
     // Remove uno and cmd protocol part as we want to support both of them. We store only the command part
@@ -2327,11 +2309,11 @@ css::uno::Reference< css::frame::XDispatch > SAL_CALL Frame::queryDispatch( cons
         if (!disp.is()) {
             throw css::lang::DisposedException("Frame disposed");
         }
-        return disp->queryDispatch( aURL, sTargetFrameName, nSearchFlags );
+        return disp->queryDispatch( aURL, sFrameName, nSearchOptions );
     }
 }
 
-/*-****************************************************************************************************
+/*
     @short      handle more than ones dispatches at same call
     @descr      Returns a sequence of dispatches. For details see the queryDispatch method.
                 For failed dispatches we return empty items in list!
@@ -2342,7 +2324,7 @@ css::uno::Reference< css::frame::XDispatch > SAL_CALL Frame::queryDispatch( cons
     @return     List of dispatch references. Some elements can be NULL!
 
     @onerror    An empty list is returned.
-*//*-*****************************************************************************************************/
+*/
 css::uno::Sequence< css::uno::Reference< css::frame::XDispatch > > SAL_CALL Frame::queryDispatches( const css::uno::Sequence< css::frame::DispatchDescriptor >& lDescriptor ) throw( css::uno::RuntimeException, std::exception )
 {
     // Don't check incoming parameter here! Our helper do it for us and it is not a good idea to do it more than ones!
@@ -2361,7 +2343,7 @@ css::uno::Sequence< css::uno::Reference< css::frame::XDispatch > > SAL_CALL Fram
     return disp->queryDispatches( lDescriptor );
 }
 
-/*-****************************************************************************************************
+/*
     @short      register/unregister interceptor for dispatch calls
     @descr      If you wish to handle some dispatches by himself ... you should be
                 an interceptor for it. Please see class OInterceptionHelper for further information.
@@ -2370,7 +2352,7 @@ css::uno::Sequence< css::uno::Reference< css::frame::XDispatch > > SAL_CALL Fram
 
     @param      "xInterceptor", reference to your interceptor implementation.
     @onerror    Interceptor is ignored.
-*//*-*****************************************************************************************************/
+*/
 void SAL_CALL Frame::registerDispatchProviderInterceptor( const css::uno::Reference< css::frame::XDispatchProviderInterceptor >& xInterceptor ) throw( css::uno::RuntimeException, std::exception )
 {
     // We use a helper to support these interface and an interceptor mechanism.
@@ -2407,10 +2389,10 @@ void SAL_CALL Frame::releaseDispatchProviderInterceptor( const css::uno::Referen
     }
 }
 
-/*-****************************************************************************************************
+/*
     @short      provides information about all possible dispatch functions
                 inside the current frame environment
-*//*-*****************************************************************************************************/
+*/
 css::uno::Sequence< sal_Int16 > SAL_CALL Frame::getSupportedCommandGroups()
     throw(css::uno::RuntimeException, std::exception)
 {
@@ -2423,7 +2405,7 @@ css::uno::Sequence< css::frame::DispatchInformation > SAL_CALL Frame::getConfigu
     return m_xDispatchInfoHelper->getConfigurableDispatchInformation(nCommandGroup);
 }
 
-/*-****************************************************************************************************
+/*
     @short      notifications for window events
     @descr      We are a listener on our container window to forward it to our component window.
 
@@ -2432,7 +2414,7 @@ css::uno::Sequence< css::frame::DispatchInformation > SAL_CALL Frame::getConfigu
     @seealso    member m_xComponentWindow
 
     @param      "aEvent" describe source of detected event
-*//*-*****************************************************************************************************/
+*/
 void SAL_CALL Frame::windowResized( const css::awt::WindowEvent& ) throw( css::uno::RuntimeException, std::exception )
 {
     // Part of dispose-mechanism
@@ -2460,7 +2442,7 @@ void SAL_CALL Frame::focusGained( const css::awt::FocusEvent& ) throw( css::uno:
     }
 }
 
-/*-****************************************************************************************************
+/*
     @short      notifications for window events
     @descr      We are a listener on our container window to forward it to our component window ...
                 but a XTopWindowListener we are only if we are a top frame!
@@ -2470,7 +2452,7 @@ void SAL_CALL Frame::focusGained( const css::awt::FocusEvent& ) throw( css::uno:
     @seealso    member m_xComponentWindow
 
     @param      "aEvent" describe source of detected event
-*//*-*****************************************************************************************************/
+*/
 void SAL_CALL Frame::windowActivated( const css::lang::EventObject& ) throw( css::uno::RuntimeException, std::exception )
 {
     checkDisposed();
@@ -2555,7 +2537,7 @@ void SAL_CALL Frame::windowClosing( const css::lang::EventObject& ) throw( css::
     css::uno::Reference< css::util::XURLTransformer > xParser(css::util::URLTransformer::create(m_xContext));
     xParser->parseStrict(aURL);
 
-    css::uno::Reference< css::frame::XDispatch > xCloser = queryDispatch(aURL, SPECIALTARGET_SELF, 0);
+    css::uno::Reference< css::frame::XDispatch > xCloser = queryDispatch( aURL, SPECIAL_SELF, 0 );
     if (xCloser.is())
         xCloser->dispatch(aURL, css::uno::Sequence< css::beans::PropertyValue >());
 
@@ -2564,7 +2546,7 @@ void SAL_CALL Frame::windowClosing( const css::lang::EventObject& ) throw( css::
     // Or if it will be reached it will be for sure that all your member are gone .-)
 }
 
-/*-****************************************************************************************************
+/*
     @short      react for a show event for the internal container window
     @descr      Normally we don't need this information really. But we can use it to
                 implement the special feature "trigger first visible task".
@@ -2585,7 +2567,7 @@ void SAL_CALL Frame::windowClosing( const css::lang::EventObject& ) throw( css::
                     We are not interested on this information. We are interested on the visible state only.
 
     @threadsafe yes
-*//*-*****************************************************************************************************/
+*/
 void SAL_CALL Frame::windowShown( const css::lang::EventObject& ) throw(css::uno::RuntimeException, std::exception)
 {
     static bool bFirstVisibleTask = true;
